package com.yonge.cooleshow.admin.controller;

import com.yonge.cooleshow.biz.dal.service.SysUserService;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("${app-config.url.admin:}/sysUser")
@Api(value = "用户表", tags = "用户表")
public class SysUserController extends BaseController {

    @Autowired
    private SysUserService sysUserService;


    /**
     * 账号注销校验
     */
    @PostMapping("/logoffCheck")
    HttpResponseResult<List<String>> accountLogoffCheck(@RequestParam("phone") String phone) {
        List<String> strings = sysUserService.accountLogoffCheck(phone);
        if (!CollectionUtils.isEmpty(strings)) {
            return HttpResponseResult.succeed(strings);
        }
        return HttpResponseResult.succeed();
    }

    @PostMapping("/logoffQuitImGroup")
    HttpResponseResult<Boolean> logoffQuitImGroup(@RequestParam("phone") String phone){
        sysUserService.logoffQuitImGroup(phone);
        return HttpResponseResult.succeed(true);
    }

}
